# $Revision: 1.34.4.2 $, $Date: 2011/06/17 09:18:22 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	static_libs	# don't build static library
#
Summary:	Desktop notifications library
Summary(hu.UTF-8):	Desktop értesítő könyvtár
Summary(pl.UTF-8):	Biblioteka powiadomień dla pulpitu
Name:		libnotify
Version:	0.4.5
Release:	7
License:	LGPL v2.1+ (library), GPL v2+ (tools)
Group:		Libraries
Source0:	http://www.galago-project.org/files/releases/source/libnotify/%{name}-%{version}.tar.bz2
# Source0-md5:	6a8388f93309dbe336bbe5fc0677de6b
URL:		http://www.galago-project.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.71
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 1:2.12.1
BuildRequires:	gtk+2-devel >= 2:2.10.1
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.7}
BuildRequires:	gtk-doc-automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	dbus-glib >= 0.71
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library that sends desktop notifications to a notification daemon,
as defined in the Desktop Notifications spec. These notifications can
be used to inform the user about an event or display some form of
information without getting in the user's way.

%description  -l hu.UTF-8
Könyvtár, amely értesítéseket küld egy üzenetkezelő démonnak, ahogy a
Desktop Notifications szabványnak megfelel. Ezek az értesítések
tájékoztathatják a felhasználót eseményről vagy információt jeleníthet
meg.

%description -l pl.UTF-8
Biblioteka wysyłająca powiadomienia dla pulpitu do demona powiadomień
zgodnie ze specyfikacją Desktop Notifications. Powiadomienia te mogą
być używane do informowania użytkownika o zdarzeniu lub wyświetlania
jakiejś formy informacji bez wchodzenia użytkownikowi w drogę.

%package apidocs
Summary:	libnotify API documentation
Summary(hu.UTF-8):	libnotify API dokumentáció
Summary(pl.UTF-8):	Dokumentacja API biblioteki libnotify
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libnotify API documentation.

%description apidocs -l hu.UTF-8
libnotify API dokumentáció.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libnotify.

%package devel
Summary:	libnotify header files
Summary(hu.UTF-8):	libnotify fejléc fájlok
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnotify
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-glib-devel >= 0.71
Requires:	glib2-devel >= 1:2.12.1
Requires:	gtk+2-devel >= 2:2.10.1

%description devel
Header files for libnotify-based programs development.

%description devel -l hu.UTF-8
Fejléc fájlok libnotify-t használó programok fejlesztéséhez.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów opartych o libnotify.

%package static
Summary:	Static libnotify library
Summary(hu.UTF-8):	Libnotify statikus könyvtár
Summary(pl.UTF-8):	Statyczna biblioteka libnotify
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnotify library.

%description static -l hu.UTF-8
Libnotify statikus könyvtár.

%description static -l pl.UTF-8
Statyczna biblioteka libnotify.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}/libnotify}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/lib*.so.1

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnotify.so
%{_pkgconfigdir}/libnotify.pc
%{_includedir}/libnotify

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libnotify.spec,v $
Revision 1.34.4.2  2011/06/17 09:18:22  lisu
- dropped libtool file
- more verbose files
- rel 7

Revision 1.34.4.1  2011/06/10 11:29:48  lisu
- rel 6

Revision 1.34  2010/11/18 10:19:33  hawk
- release 5

Revision 1.33  2010/07/30 08:46:41  uzsolt
- hu

Revision 1.32  2010/01/29 09:56:17  megabajt
- %{__gtkdocize}
- release 4

Revision 1.31  2010/01/29 09:44:43  amateja
- release 3

Revision 1.30  2009/11/28 01:35:29  sparky
- BR: docbook-dtd412-xml

Revision 1.29  2009/02/28 10:23:07  charles
- added apidocs and static_libs bconds

Revision 1.28  2008/12/02 13:43:36  hawk
- release 2

Revision 1.27  2008/11/20 13:15:57  patrys
- 0.4.5

Revision 1.26  2008/11/09 17:30:26  arekm
- release 4

Revision 1.25  2007/11/07 00:27:27  glen
- rel 3

Revision 1.24  2007/06/19 21:47:25  glen
- rel 2

Revision 1.23  2007/03/01 21:32:15  arekm
- up to 0.4.4

Revision 1.22  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.20  2007/01/05 23:47:47  megabajt
- added apidocs subpackage
- release 2

Revision 1.19  2006/10/09 20:20:03  qboosh
- updated to 0.4.3, removed obsolete patch

Revision 1.18  2006/08/09 19:24:23  freetz
- rel.4, updated deps

Revision 1.17  2006/07/14 14:22:00  freetz
- rel.3 (after libpng soname breakage), updated deps, --as-needed support

Revision 1.16  2006/07/11 13:22:44  jareq
- rebuild with libpng
- rel 3
- STBR to NEST

Revision 1.15  2006/06/18 14:41:55  freetz
- fixed http://trac.galago-project.org/ticket/68, rel.2

Revision 1.14  2006/06/18 10:07:29  freetz
- 0.4.2, gtk-doc documentation provided, fixed Group, updated deps

Revision 1.13  2006/05/27 00:05:17  qboosh
- merged deps update from AC-branch

Revision 1.12  2006/05/19 10:14:51  qboosh
- libnotify uses gtk+2 now

Revision 1.11  2006/05/19 10:08:33  qboosh
- popt-devel no longer BRed

Revision 1.7.2.2  2006/05/18 22:14:21  baggins
- release 2
- strict reqs

Revision 1.7.2.1  2006/05/15 17:05:49  baggins
- merged from HEAD

Revision 1.10  2006/05/11 21:22:31  freetz
- 0.4.0, removed link patch (obsolete)

Revision 1.9  2006/04/07 14:15:24  freetz
- rel.2 for rebuild

Revision 1.8  2006/01/29 07:30:45  freetz
- 0.3.2

Revision 1.7  2005/10/12 17:52:07  patrys
- rel. up to 1

Revision 1.6  2005/10/10 18:15:10  qboosh
- added link patch (so -devel doesn't require popt-devel)
- library license is LGPL

Revision 1.5  2005/10/10 17:59:03  qboosh
- BR: dbus-glib-devel,popt-devel,pkgconfig; -devel R: dbus-glib-devel

Revision 1.4  2005/10/10 17:48:21  deejay1
- typo

Revision 1.3  2005/10/10 17:36:28  qboosh
- pl, separated -static

Revision 1.2  2005/10/06 20:49:47  patrys
- correct rights for binaries

Revision 1.1  2005/10/06 20:47:25  patrys
- add notification support for PLD
